# 2. Zapytanie: pobierz "Fields"

Prosty przykład zapytania "Fields", które pobiera powierzchnię w hektarach.

{% hint style="info" %}
Jednostką powierzchni pola może być jedna z następujących: `AKRY` lub `HEKTARY` lub `METRY_KWADRATOWE`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    uuidUżytkownika
    nazwa
    fields {
      uuid
      nazwa
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Bardziej szczegółowy przykład, zawierający paginację i możliwości filtrowania, opisano w [43: Zapytanie Get "Fields"](/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/43.-zapytanie-pobierz-fields.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/2.-zapytanie-pobierz-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
